curl --request DELETE \
--url https://api.example.com/v1/companies/{id}{
"data": {
"deleted": true,
"id": "<string>"
}
}Permanently delete a company from your workspace
curl --request DELETE \
--url https://api.example.com/v1/companies/{id}{
"data": {
"deleted": true,
"id": "<string>"
}
}Authorization: Bearer wbk_your_api_key_here
companies:write permission.related_company_id / company_id references set to null (orphaning them). Fires the company.deleted webhook event.curl -X DELETE https://data.leadlex.com/functions/v1/api-gateway/v1/companies/c1b2a3d4-e5f6-7890-abcd-ef1234567890 \
-H "Authorization: Bearer wbk_your_api_key_here"
{
"data": {
"deleted": true,
"id": "c1b2a3d4-e5f6-7890-abcd-ef1234567890"
}
}
PATCH /v1/contacts/{id} and PATCH /v1/deals/{id}) before deleting.| Status | Code | Description |
|---|---|---|
| 401 | invalid_key | Invalid or expired API key |
| 403 | insufficient_permissions | Missing companies:write permission |
| 404 | company_not_found | No company with this ID in your workspace |
| 429 | rate_limited | Rate limit exceeded |